Schichten & Bedarfe
Bedarfsraster ersetzen
Atomically replace the whole staffing requirement grid of a unit: rows missing from the payload are deleted, existing ones updated and new ones created (diff by (shift_id, weekday)). Skill requirements are synced per row when provided
AuthentifizierungBearer <token>
Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).
Ort: header
Pfadparameter
unit*string
The unit ID
Format
uuidRequest-Body
application/json
TypeScript-Definitionen
TypeScript-Typ für request body.
Response-Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/units/497f6eca-6276-4993-bfeb-53cbbbba6f08/shift_requirements" \ -H "Content-Type: application/json" \ -d '{ "requirements": [ { "shift_id": "f15914ca-a3fc-41f9-a948-5ac849d2a017", "weekday": 1, "min_count": 0 } ] }'{ "data": [ { "id": "string", "unit_id": "string", "shift_id": "string", "shift": { "id": "string", "name": "string", "abbreviation": "string", "color": "string", "start_time": "string", "end_time": "string", "break_duration": "string", "is_overnight": "string", "schedule_model_id": "string", "work_area_id": "string", "tags": "string", "note": "string", "fairness_weight": 0, "net_duration_ms": 0 }, "weekday": "string", "min_count": "string", "optimal_count": "string", "skills": "string" } ]}